Displays a dialog box prompting the user to enter a number.
Rhino.RealBox ([strMessage [, intNumber [, strTitle [, intMin [, intMax [, arrPos]]]]]])
strMessage |
Optional. String. A prompt or message. |
dblNumber |
Optional. Number. A default number.. |
strTitle |
Optional. String. A dialog box title. |
intMin |
Optional. Number. A minimum allowable value. |
intMax |
Optional. Number. A maximum allowable value. |
arrPos |
Optional. Array. A 2-D screen point that identifies the upper left corner of the dialog's initial position. |
Number |
The number if successful. |
Null |
If not successful, or on error. |
Dim dblRadius, arrPoint
dblRadius = Rhino.RealBox ("Enter a radius value", 5.0 )
If Not IsNull(dblRadius) and (dblRadius > 0) Then
arrPoint = Array(0,0,0)
Rhino.AddCircle arrPoint, dblRadius
End If